## org.eclipse.jetty.webapp
Class MetaData.OriginInfo

    java.lang.Object
      org.eclipse.jetty.webapp.MetaData.OriginInfo

Enclosing class:
  MetaData

    public static class MetaData.OriginInfo

extends Object

Field Summary
`protected Descriptor` `descriptor`
`protected String` `name`
`protected MetaData.Origin` `origin`

Constructor Summary
`MetaData.OriginInfo(String n)`
`MetaData.OriginInfo(String n, Descriptor d)`
`MetaData.OriginInfo(String n, MetaData.Origin o)`

Method Summary
`Descriptor` `getDescriptor()`
`String` `getName()`
`MetaData.Origin` `getOriginType()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### name

    protected String name

### origin

    protected MetaData.Origin origin

### descriptor

    protected Descriptor descriptor

Constructor Detail

### MetaData.OriginInfo

    public MetaData.OriginInfo(String n,
                               Descriptor d)

### MetaData.OriginInfo

    public MetaData.OriginInfo(String n)

### MetaData.OriginInfo

    public MetaData.OriginInfo(String n,
                               MetaData.Origin o)

Method Detail

### getName

    public String getName()

### getOriginType

    public MetaData.Origin getOriginType()

### getDescriptor

    public Descriptor getDescriptor()

Copyright © 1995-2010 Mort Bay Consulting. All Rights Reserved.